echo off
cls
echo This patch modifies the current version of the Windows 95 SCSI1HLP.VXD driver
echo to create a new version of a prior SCSI1HLP.VXD which supports Pregap ECDs.
echo It acts ONLY if the "new" version of SCSI1HLP.VXD is present, and it backs up
echo your version of SCSI1HLP.VXD. You can restore your version by running ECDREST.
echo -
echo NOTE: Usage may infringe your Microsoft Windows 95 End-User License. You use
echo this software AT YOUR OWN RISK. No technical support of any kind is provided.
echo -
choice /c:YN /t:n,90 Continue, and apply the patch
cls
if errorlevel 2 goto user_abort
md backup

if exist scsi1hlp.vxd del scsi1hlp.vxd
mpatch scsi1hlp.mdf \windows\system\iosubsys\scsi1hlp.vxd
if not exist scsi1hlp.vxd goto no_output
copy \windows\system\iosubsys\scsi1hlp.vxd backup
if not exist backup\scsi1hlp.vxd goto no_bu
del \windows\system\iosubsys\scsi1hlp.vxd
move scsi1hlp.vxd \windows\system\iosubsys
if not exist \windows\system\iosubsys\scsi1hlp.vxd goto no_final_file

echo -
echo *** SCSI1HLP.VXD PATCH SUCCESSFUL ***
echo Please restart your PC for the changes to take effect. 
echo NOTE - Your version of \windows\system\iosubsys\SCSI1HLP.VXD 
echo has been moved to the BACKUP directory.   Do NOT delete it!!
goto the_end

:user_abort
echo *** SCSI1HLP.VXD patch NOT IMPLEMENTED ***
echo *** NO CHANGES have been made to your files ***
goto the_end

:no_output
echo -
echo *** SCSI1HLP.VXD patch NOT IMPLEMENTED ***
echo SCSI1HLP.VXD was not found / already patched / incorrect version.
echo *** NO CHANGES have been made to your files ***
goto the_end

:no_bu
echo -
echo Could not back up your SCSI1HLP.VXD file.
echo ** NO CHANGES ** have been made to your version of SCSI1HLP.VXD.
echo Patch Aborted
goto the_end

:no_final_file
echo -
echo Could not move the patched SCSI1HLP.VXD to \WINDOWS\SYSTEM\IOSUBSYS.
Please run ECDREST to restore your version.
goto the_end

:the_end
echo on
